Message file request

Prev Next

Retrieves the email file in plain text format for the given message ID. This works across all domain modes.

GET https://<etp_instance_addr>/api/v1/messages/<etp_message_id>/email

GET https://<etp_instance_addr>/api/v1/messages/<etp_message_id>/email?traffic_type=outbound

Required header:

x-fireeye-api-key: <key>—Specifies your personal API key.

Options

  • etp_message_id—The ID of the Email Security — Cloud message.

  • traffic_type—Traffic type defaults to inbound. To handle outbound traffic, set the traffic_type parameter to outbound.

Inbound request

GET https://etp.us.fireeye.com/api/messages/<etp_message_id>/email

Outbound request

GET https://etp.us.fireeye.com/api/messages/<etp_message_id>/email?traffic_type=outbound

Message file response

<email file>

cURL code example: message file

curl -X GET -H "Content-Type: application/json" -H "x-fireeye-api-key: xxxxxxxxxxxxxxxxxxx" https://etp.us.fireeye.com/api/v1/messages/Xf9bej8gwRENfXf9ceYeGi/email

This cURL sample includes the following options:

  • -X GET—This option changes the HTTP method to GET.

  • -H "Content-Type: application/json"—This header specifies that the server's response body is expected to be in JSON format.

  • -H 'x-fireeye-api-key: xxxxxxxxxxxxxxx'—This header specifies your personal API key.

  • https://etp.us.fireeye.com/v1/messages/Xf9bej8gwRENfXf9ceYeGi/email—The message request URL. Replace etp.us.fireeye.com with the address of your Email Security — Cloud instance, and Xf9bej8gwRENfXf9ceYeGi with your message ID.